| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
ultra_fix.ino File Reference

Linear Technology DC1962C Demonstration Board LTC3880, LTC2974, LTC2977: Power Management Solution for Application Processors. More...

## Detailed Description

Linear Technology DC1962C Demonstration Board LTC3880, LTC2974, LTC2977: Power Management Solution for Application Processors.

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.

http://www.linear.com/product/LTC3880

http://www.linear.com/product/LTC2974

http://www.linear.com/product/LTC2977

http://www.linear.com/demo/DC1962C

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file ultra_fix.ino.

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Initialize Linduino. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | print_warning_prompt ()
| Prints a warning if the demo board is not detected. More...

## Macros
#define | LTC3880_I2C_ADDRESS 0x30
#define | LTC2974_I2C_ADDRESS 0x32
#define | LTC2977_I2C_ADDRESS 0x33

## Variables
static uint8_t | ltc3880_i2c_address
static uint8_t | ltc2974_i2c_address
static uint8_t | ltc2977_i2c_address
static uint8_t | ltc_i2c_addresses [3]
static LT_SMBus * | smbus = new LT_SMBusNoPec()
static LT_PMBus * | pmbus = new LT_PMBus(smbus)

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Initialize Linduino.

Returns
  void

Definition at line 98 of file ultra_fix.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Returns
  void

Definition at line 217 of file ultra_fix.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Returns
  void

Definition at line 202 of file ultra_fix.ino.

## ◆ print_warning_prompt()

static void print_warning_prompt | ( |  | ) |
| static

Prints a warning if the demo board is not detected.

Returns
  void

Definition at line 232 of file ultra_fix.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Returns
  void

Definition at line 83 of file ultra_fix.ino.

## Macro Definition Documentation

## ◆ LTC2974_I2C_ADDRESS

#define LTC2974_I2C_ADDRESS 0x32

Definition at line 70 of file ultra_fix.ino.

## ◆ LTC2977_I2C_ADDRESS

#define LTC2977_I2C_ADDRESS 0x33

Definition at line 71 of file ultra_fix.ino.

## ◆ LTC3880_I2C_ADDRESS

#define LTC3880_I2C_ADDRESS 0x30

Definition at line 69 of file ultra_fix.ino.

## Variable Documentation

## ◆ ltc2974_i2c_address

uint8_t ltc2974_i2c_address
| static

Definition at line 75 of file ultra_fix.ino.

## ◆ ltc2977_i2c_address

uint8_t ltc2977_i2c_address
| static

Definition at line 76 of file ultra_fix.ino.

## ◆ ltc3880_i2c_address

uint8_t ltc3880_i2c_address
| static

Definition at line 74 of file ultra_fix.ino.

## ◆ ltc_i2c_addresses

uint8_t ltc_i2c_addresses[3]
| static

Definition at line 77 of file ultra_fix.ino.

## ◆ pmbus

LT_PMBus* pmbus = new LT_PMBus(smbus)
| static

Definition at line 79 of file ultra_fix.ino.

## ◆ smbus

LT_SMBus* smbus = new LT_SMBusNoPec()
| static

Definition at line 78 of file ultra_fix.ino.